Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.topics.impl
Class SimpleTopic

    java.lang.Object
      org.apache.muse.ws.notification.topics.impl.SimpleTopic

All Implemented Interfaces:
  Topic, XmlSerializable

public class SimpleTopic
extends java.lang.Object
implements Topic

SimpleTopic is Muse's default implementation of the wsnt:Topic data structure defined in WS-Notification v1.3 and WS-Topics v1.3.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleTopic(org.w3c.dom.Element root, TopicNamespace topicSpace)`
`SimpleTopic(java.lang.String name, TopicNamespace topicSpace)`

Method Summary
`void` | `addMessageType(QName messageType)`
`void` | `addTopic(Topic childTopic)` Adds a child topic to the topic.
`boolean` | `equals(java.lang.Object obj)`
`QName` | `getConcretePath()`
`NotificationMessage` | `getCurrentMessage()`
`java.lang.String` | `getMessagePattern()`
`java.lang.String` | `getMessagePatternDialect()`
`java.util.Set` | `getMessageTypes()`
`java.lang.String` | `getName()`
`Topic` | `getParentTopic()`
`Topic` | `getTopic(java.lang.String topicName)`
`TopicNamespace` | `getTopicNamespace()`
`java.util.Collection` | `getTopics()`
`int` | `hashCode()`
`boolean` | `hasTopic(java.lang.String topicName)`
`boolean` | `isFinal()`
`boolean` | `isRootTopic()`
`void` | `removeAllTopics()`
`void` | `removeMessageType(QName messageType)`
`void` | `removeTopic(java.lang.String topicName)`
`void` | `setCurrentMessage(NotificationMessage message)`
`void` | `setFinal(boolean isFinal)`
`void` | `setMessagePattern(java.lang.String messagePattern)`
`void` | `setParentTopic(Topic parentTopic)`
`java.lang.String` | `toString()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTopic

    public SimpleTopic(org.w3c.dom.Element root,
                       TopicNamespace topicSpace)
                throws InvalidTopicExpressionFault,
                       BaseFault

### SimpleTopic

    public SimpleTopic(java.lang.String name,
                       TopicNamespace topicSpace)
                throws BaseFault

Method Detail

### addMessageType

    public final void addMessageType(QName messageType)

  Specified by:
    `addMessageType` in interface `Topic`

### addTopic

    public final void addTopic(Topic childTopic)
                        throws InvalidTopicExpressionFault,
                               BaseFault

  Description copied from interface: `Topic`
  Adds a child topic to the topic.

  Specified by:
    `addTopic` in interface `Topic`
  Parameters:
    `childTopic` -
  Throws:
    `InvalidTopicExpressionFault`
    `BaseFault`

### equals

    public boolean equals(java.lang.Object obj)

  Returns:
    True if the two topics have the same local name, topic namespace, concrete path, message pattern, and 'final' status.

### getConcretePath

    public QName getConcretePath()

  Specified by:
    `getConcretePath` in interface `Topic`
  Returns:
    A fully-qualified name for the topic.

### getCurrentMessage

    public NotificationMessage getCurrentMessage()

  Specified by:
    `getCurrentMessage` in interface `Topic`
  Returns:
    The last message published to this topic.

### getMessagePattern

    public java.lang.String getMessagePattern()

  Specified by:
    `getMessagePattern` in interface `Topic`
  Returns:
    An XPath that further expresses the types of messages this topic publishes.

### getMessagePatternDialect

    public java.lang.String getMessagePatternDialect()

  Specified by:
    `getMessagePatternDialect` in interface `Topic`
  Returns:
    The XPath 1.0 namespace.

### getMessageTypes

    public java.util.Set getMessageTypes()

  Specified by:
    `getMessageTypes` in interface `Topic`

### getName

    public final java.lang.String getName()

  Specified by:
    `getName` in interface `Topic`
  Returns:
    The local name of the topic.

### getParentTopic

    public Topic getParentTopic()

  Specified by:
    `getParentTopic` in interface `Topic`

### getTopic

    public Topic getTopic(java.lang.String topicName)

  Specified by:
    `getTopic` in interface `Topic`
  Parameters:
    `topicName` -
  Returns:
    The child topic with the given name, or null if no such topic exists.

### getTopicNamespace

    public TopicNamespace getTopicNamespace()

  Specified by:
    `getTopicNamespace` in interface `Topic`
  Returns:
    The TopicNamespace that contains this Topic.

### getTopics

    public java.util.Collection getTopics()

  Specified by:
    `getTopics` in interface `Topic`
  Returns:
    All of the child topics under this topic.

### hashCode

    public int hashCode()

  Returns:
    A hash code based on the same values used for testing equality.
  See Also:
    `equals(Object)`

### hasTopic

    public boolean hasTopic(java.lang.String topicName)

  Specified by:
    `hasTopic` in interface `Topic`
  Parameters:
    `topicName` -
  Returns:
    True if this topic has a child topic with the given name.

### isFinal

    public boolean isFinal()

  Specified by:
    `isFinal` in interface `Topic`
  Returns:
    True if the topic does not allow addition of child topics.

### isRootTopic

    public boolean isRootTopic()

  Specified by:
    `isRootTopic` in interface `Topic`
  Returns:
    True if the topic has no parent topic.

### removeAllTopics

    public final void removeAllTopics()

  Specified by:
    `removeAllTopics` in interface `Topic`

### removeMessageType

    public final void removeMessageType(QName messageType)

  Specified by:
    `removeMessageType` in interface `Topic`

### removeTopic

    public final void removeTopic(java.lang.String topicName)

  Specified by:
    `removeTopic` in interface `Topic`

### setCurrentMessage

    public void setCurrentMessage(NotificationMessage message)

  Specified by:
    `setCurrentMessage` in interface `Topic`
  Parameters:
    `message` - The last message published to this topic.

### setFinal

    public void setFinal(boolean isFinal)

  Specified by:
    `setFinal` in interface `Topic`

### setMessagePattern

    public void setMessagePattern(java.lang.String messagePattern)

  Specified by:
    `setMessagePattern` in interface `Topic`

### setParentTopic

    public void setParentTopic(Topic parentTopic)

  Specified by:
    `setParentTopic` in interface `Topic`

### toString

    public java.lang.String toString()

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD